function [B, Z, n] = Import(path)

X = dlmread(path , '\t');

start_id = 1;
X(:, 1) = X(:, 1) + start_id;
X(:, 2) = X(:, 2) + start_id;

m = size(X, 1);
n = max(max(X(:, 1), X(:, 2)));

%X = X(randperm(m, m), :);    
Z = X(round(m/2)+1:m, :);
B = sparse( X(:, 1), X(:, 2), 1, n, n);

% handle undirected graphs
if sum(sum(triu(B, 1))) == 0 || sum(sum(tril(B, -1))) == 0
    B = B + B';
    transZ = [Z(:,2) Z(:,1)];
    Z = [Z; transZ];
end

% remove self loops
B = B - spdiags(diag(B), 0, n, n);
B = 1.0 * (B > 0);

end

